---

title: A single transistor Oscillator
description: This is the description
---

Transistors are used often used when making sound circuits. The oscillators I am aware of usually combine transistor with some sort of a chip, to create a fast frequency. This specific oscillator however, only uses one transistor.

_I could talk about the history of electronic music and transistors here, but at the moment I do not think this should happen_

Since this schematic uses only a couple of components, I think this recipe could actually be combined with the rc-filter recipe.

## Schematic

![Schematic of the Single Transistor Oscillator](http://www.seekic.com/uploadfile/ic-circuit/s201357212933141.jpg)

## Components

- 1 Transistor _I need to figure out if transistors are interchangable_
- 1 Resistor
- A speaker
- A battery
- A Capacitor

The size of the capacitor and the resistor decide upon the frequency of the pitch.

## Notes while making the circuit

- First time i've tried building this circuit, it did not work. Since, I've found a book[^transistor-book] that might be of use when I would like to do more with transistors.

I suspect that salvaging IC's will be slightly more difficult, which is why i've been focussing on transistors, but ye, if i cant get the simplest circuit to work, maybe I should step a way from the suspisions and see what i'll find.

[^transistor-book]: Turner, R. P. (1957). Transistor circuits. GERNSBACK LIBRARY INC. https://tubes.mit.edu/6S917/_static/2024/resources/turner_transistor_circuits.pdf

Additionally, i've learned from Ash that crystals and transistors could be used to make radios!

Turns out, this circuit above is actually called the "Relaxation oscillator". The wikipedia description is actually pretty visual: "It consists of an energy-storing element (a capacitor or, more rarely, an inductor) and a nonlinear switching device (a latch, Schmitt trigger, or negative resistance element) connected in a feedback loop.[22][23] "

There are various relaxation circuits:

- Using the 555 timer IC
- Using an op-amp! https://upload.wikimedia.org/wikipedia/commons/thumb/1/15/OpAmpHystereticOscillator.svg/440px-OpAmpHystereticOscillator.svg.png

Then there are also "RC Oscillators" https://en.wikipedia.org/wiki/RC_oscillator

AGain no luck with this schematic....
I'll try my luck with a 555 timer circuit now.
